Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 162931

Summary: failed to open driver `libpcsclite.so'
Product: [Fedora] Fedora Reporter: udo <udovdh>
Component: gnupgAssignee: Nalin Dahyabhai <nalin>
Status: CLOSED CURRENTRELEASE QA Contact: Mike McLean <mikem>
Severity: low Docs Contact:
Priority: medium    
Version: 4   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: 1.4.3-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-22 20:25:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description udo 2005-07-11 18:20:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Link for libpcsclite.so for gnupg is not installed:

[root@epia .gnupg]# gpg --card-status
gpg: apdu_open_reader: failed to open driver `libpcsclite.so': libpcsclite.so: cannot open shared object file: No such file or directory
gpg: card reader not available
gpg: OpenPGP card not available: general error
[root@epia .gnupg]# locate libpcsclite.so
/usr/lib/libpcsclite.so.0.0.1
/usr/lib/libpcsclite.so.0
[root@epia .gnupg]# ls -l /usr/lib/libpcs*
lrwxrwxrwx  1 root root    20 Jul  7 18:17 /usr/lib/libpcsclite.so.0 -> libpcsclite.so.0.0.1
-rwxr-xr-x  1 root root 33364 May 20 11:01 /usr/lib/libpcsclite.so.0.0.1


Version-Release number of selected component (if applicable):
pcsc-lite-libs-1.2.0-12

How reproducible:
Always

Steps to Reproduce:
gpg --card-status
locate libpcsclite.so
ls -l /usr/lib/libpcs*


Actual Results:  [root@epia .gnupg]# gpg --card-status
gpg: apdu_open_reader: failed to open driver `libpcsclite.so': libpcsclite.so: cannot open shared object file: No such file or directory
gpg: card reader not available
gpg: OpenPGP card not available: general error
[root@epia .gnupg]# locate libpcsclite.so
/usr/lib/libpcsclite.so.0.0.1
/usr/lib/libpcsclite.so.0
[root@epia .gnupg]# ls -l /usr/lib/libpcs*
lrwxrwxrwx  1 root root    20 Jul  7 18:17 /usr/lib/libpcsclite.so.0 -> libpcsclite.so.0.0.1
-rwxr-xr-x  1 root root 33364 May 20 11:01 /usr/lib/libpcsclite.so.0.0.1



Expected Results:  gnupg should be able to find libpcsclite

Additional info:

It's easy to fix by creating the link by hand but it's somethign that should be in the rpm

Comment 1 Nalin Dahyabhai 2005-07-29 20:11:38 UTC
If the PC/SC shared library is meant to be used as a plugin, then gnupg can't be
expected to be its only user, so we need to reassign this bug to the pcsc-lite
package.

Comment 2 Nalin Dahyabhai 2005-07-29 20:28:06 UTC
Oops, should have made it more explicit: is the PC/SC shared library intended to
be used as a plugin?  If not, then detecting (at build-time, I guess) which
shared library gnupg should instead be trying to load will be difficult because
pcsc-lite is in extras and therefore can't be depended on to be installed when
building gnupg for core.

Comment 3 udo 2005-07-30 06:09:30 UTC
For now at least the correct link(s)in the PC/SC lib rpm will suffice?

Comment 4 Nalin Dahyabhai 2005-08-03 23:32:32 UTC
Yes, moving the symlink from pcsc-lite-libs-devel to pcsc-lite-libs would make
it work.  If the library's meant to be loaded like that, it'd be the correct fix.

Comment 5 Christian Iseli 2007-01-22 11:53:54 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 6 udo 2007-01-22 19:22:53 UTC
[root@epia ~]# gpg --card-status
winscard_clnt.c:320:SCardEstablishContextTH() Cannot open public shared file:
/var/run/pcscd.pub
gpg: pcsc_establish_context failed: no service (0x8010001d)
gpg: card reader not available
gpg: OpenPGP card not available: general error
[root@epia ~]#  locate libpcsclite.so
/usr/lib/libpcsclite.so.1.0.0
/usr/lib/libpcsclite.so.1

So gnupg can find the lib. This is FC6 now.

Comment 7 Nalin Dahyabhai 2007-01-22 20:25:31 UTC
This became an option ('pcsc-driver'), I think in version 1.4.3, defaulting to
the right value.